/*
Front gateway

Front gateway

API version: 0.0.1
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package openapi

import (
	"encoding/json"
)

// SignInResult struct for SignInResult
type SignInResult struct {
	Session *string `json:"session,omitempty"`
}

// NewSignInResult instantiates a new SignInResult object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewSignInResult() *SignInResult {
	this := SignInResult{}
	return &this
}

// NewSignInResultWithDefaults instantiates a new SignInResult object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewSignInResultWithDefaults() *SignInResult {
	this := SignInResult{}
	return &this
}

// GetSession returns the Session field value if set, zero value otherwise.
func (o *SignInResult) GetSession() string {
	if o == nil || o.Session == nil {
		var ret string
		return ret
	}
	return *o.Session
}

// GetSessionOk returns a tuple with the Session field value if set, nil otherwise
// and a boolean to check if the value has been set.
func (o *SignInResult) GetSessionOk() (*string, bool) {
	if o == nil || o.Session == nil {
		return nil, false
	}
	return o.Session, true
}

// HasSession returns a boolean if a field has been set.
func (o *SignInResult) HasSession() bool {
	if o != nil && o.Session != nil {
		return true
	}

	return false
}

// SetSession gets a reference to the given string and assigns it to the Session field.
func (o *SignInResult) SetSession(v string) {
	o.Session = &v
}

func (o SignInResult) MarshalJSON() ([]byte, error) {
	toSerialize := map[string]interface{}{}
	if o.Session != nil {
		toSerialize["session"] = o.Session
	}
	return json.Marshal(toSerialize)
}

type NullableSignInResult struct {
	value *SignInResult
	isSet bool
}

func (v NullableSignInResult) Get() *SignInResult {
	return v.value
}

func (v *NullableSignInResult) Set(val *SignInResult) {
	v.value = val
	v.isSet = true
}

func (v NullableSignInResult) IsSet() bool {
	return v.isSet
}

func (v *NullableSignInResult) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableSignInResult(val *SignInResult) *NullableSignInResult {
	return &NullableSignInResult{value: val, isSet: true}
}

func (v NullableSignInResult) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableSignInResult) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


